!(function (e) {
  "use strict";
  var t,
    o,
    i,
    n,
    s,
    a,
    l,
    r,
    c,
    d,
    p,
    f,
    $,
    u = e(window);
  if (
    (u.on("load", function () {
      e("#loading").fadeOut(500);
    }),
    e("#tp-mobile-menu").meanmenu({ meanMenuContainer: ".tp-mobile-menu-pos", meanScreenWidth: "1199" }),
    e(".tp-toogle").on("click", function () {
      e(".tp-side-info").addClass("tp-side-info-open"), e(".offcanvas-overlay").addClass("offcanvas-overlay-open");
    }),
    e(".tp-side-close").on("click", function () {
      e(".tp-side-info").removeClass("tp-side-info-open"), e(".offcanvas-overlay").removeClass("offcanvas-overlay-open");
    }),
    e(".offcanvas-overlay").on("click", function () {
      e(".tp-side-info").removeClass("tp-side-info-open"), e(".offcanvas-overlay").removeClass("offcanvas-overlay-open");
    }),
    e(".offcanvas-open-btn").on("click", function () {
      e(".offcanvas__area").addClass("offcanvas-opened"), e(".body-overlay").addClass("opened");
    }),
    e(".offcanvas-close-btn").on("click", function () {
      e(".offcanvas__area").removeClass("offcanvas-opened"), e(".body-overlay").removeClass("opened");
    }),
    e(".body-overlay").on("click", function () {
      e(".offcanvas__area").removeClass("offcanvas-opened"), e(".body-overlay").removeClass("opened");
    }),
    e(".search-toggle").on("click", function () {
      e(".search__area").addClass("opened");
    }),
    e(".search-close-btn").on("click", function () {
      e(".search__area").removeClass("opened");
    }),
    u.on("scroll", function () {
      100 > e(window).scrollTop() ? e("#header-sticky").removeClass("header-sticky") : e("#header-sticky").addClass("header-sticky");
    }),
    e(".wp-menu nav > ul > li").slice(-4).addClass("menu-last"),
    e("[data-background").each(function () {
      e(this).css("background-image", "url( " + e(this).attr("data-background") + "  )");
    }),
    e("[data-width]").each(function () {
      e(this).css("width", e(this).attr("data-width"));
    }),
    e("[data-bg-color]").each(function () {
      e(this).css("background-color", e(this).attr("data-bg-color"));
    }),
    e("select").niceSelect(),
    e(".back-to-top-btn").on("click", function (t) {
      var o = e(this.getAttribute("href"));
      o.length &&
        (t.preventDefault(),
        e("html, body")
          .stop()
          .animate({ scrollTop: o.offset().top - 120 }, 1500));
    }),
    e(".back-to-top-btn").on("click", function (e) {
      return e.preventDefault(), jQuery("html, body").animate({ scrollTop: 0 }, 550), !1;
    }),
    !(function t() {
      var o = e(".slider-active");
      function i(t) {
        t.each(function () {
          var t = e(this),
            o = t.data("delay"),
            i = "animated " + t.data("animation");
          t.css({ "animation-delay": o, "-webkit-animation-delay": o }),
            t.addClass(i).one("webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend", function () {
              t.removeClass(i);
            });
        });
      }
      o.on("init", function (t, o) {
        i(e(".single-slider:first-child").find("[data-animation]"));
      }),
        o.on("beforeChange", function (t, o, n, s) {
          i(e('.single-slider[data-slick-index="' + s + '"]').find("[data-animation]"));
        }),
        o.slick({
          autoplay: !0,
          autoplaySpeed: 4e3,
          dots: !0,
          fade: !0,
          arrows: !1,
          prevArrow: '<button type="button" class="slick-prev"><i class="far fa-arrow-left"></i></button>',
          nextArrow: '<button type="button" class="slick-next"><i class="far fa-arrow-right"></i></button>',
          responsive: [{ breakpoint: 767, settings: { dots: !1, arrows: !1 } }],
        });
    })(),
    e(".tp-header-search-toggle").on("click", function () {
      e(".search-btn-wrap").toggleClass("header_search-open");
    }),
    e("body > *:not(header)").on("click", function () {
      e(".search-btn-wrap").removeClass("header_search-open");
    }),
    e(".hero-slider").slick({
      autoplay: !0,
      autoplaySpeed: 5e3,
      dots: !0,
      fade: !0,
      arrows: !1,
      prevArrow: '<button type="button" class="slick-prev"><i class="far fa-arrow-left"></i></button>',
      nextArrow: '<button type="button" class="slick-next"><i class="far fa-arrow-right"></i></button>',
      infinite: !0,
      speed: 300,
      slidesToShow: 1,
      slidesToScroll: 1,
      responsive: [
        { breakpoint: 2500, settings: { slidesToShow: 1, slidesToScroll: 1, infinite: !0, dots: !0 } },
        { breakpoint: 600, settings: { slidesToShow: 1, slidesToScroll: 1 } },
        { breakpoint: 480, settings: { slidesToShow: 1, slidesToScroll: 1 } },
      ],
    }),
    e(".causes-active").slick({
      dots: !1,
      arrows: !0,
      infinite: !0,
      speed: 300,
      slidesToShow: 3,
      appendArrows: e(".cause-slider-nav"),
      prevArrow: '<button type="button" class="slick-prev"><i class="fa-regular fa-arrow-left"></i></button>',
      nextArrow: '<button type="button" class="slick-next"><i class="fa-regular fa-arrow-right"></i></button>',
      slidesToScroll: 1,
      responsive: [
        { breakpoint: 1024, settings: { slidesToShow: 3, slidesToScroll: 1, infinite: !0, dots: !1 } },
        { breakpoint: 992, settings: { slidesToShow: 2, slidesToScroll: 1 } },
        { breakpoint: 767, settings: { slidesToShow: 1, slidesToScroll: 1 } },
      ],
    }),
    e(".portfolio-active").slick({
      dots: !1,
      infinite: !0,
      autoplay: !1,
      speed: 300,
      prevArrow: '<button type="button" class="slick-prev"><i class="fa-regular fa-arrow-left"></i></button>',
      nextArrow: '<button type="button" class="slick-next"><i class="fa-regular fa-arrow-right"></i></button>',
      slidesToShow: 1,
      centerMode: !0,
      variableWidth: !0,
    }),
    e(".testimonial-active").slick({
      dots: !0,
      arrows: !1,
      infinite: !0,
      fade: !0,
      speed: 300,
      slidesToShow: 1,
      slidesToScroll: 1,
      responsive: [
        { breakpoint: 1024, settings: { slidesToShow: 1, slidesToScroll: 1, infinite: !0, dots: !0 } },
        { breakpoint: 600, settings: { slidesToShow: 1, slidesToScroll: 1 } },
        { breakpoint: 480, settings: { slidesToShow: 1, slidesToScroll: 1 } },
      ],
    }),
    e(".testimonial-active-3").slick({
      dots: !0,
      arrows: !0,
      infinite: !0,
      fade: !0,
      speed: 300,
      prevArrow:
        '<button type="button" class="slick-prev"><span><svg width="53" height="8" viewBox="0 0 53 8" fill="currentColor" xmlns="http://www.w3.org/2000/svg"><path d="M0.646447 3.64644C0.451184 3.8417 0.451184 4.15828 0.646447 4.35355L3.82843 7.53553C4.02369 7.73079 4.34027 7.73079 4.53553 7.53553C4.7308 7.34026 4.7308 7.02368 4.53553 6.82842L1.70711 3.99999L4.53553 1.17157C4.7308 0.976304 4.7308 0.659721 4.53553 0.464459C4.34027 0.269197 4.02369 0.269197 3.82843 0.464459L0.646447 3.64644ZM53 3.5L1 3.49999L1 4.49999L53 4.5L53 3.5Z" fill="currentColor"/></svg></span></button>',
      nextArrow:
        '<button type="button" class="slick-next"><span><svg width="53" height="8" viewBox="0 0 53 8" fill="currentColor" xmlns="http://www.w3.org/2000/svg"><path d="M52.3536 4.35356C52.5488 4.15829 52.5488 3.84171 52.3536 3.64645L49.1716 0.464469C48.9763 0.269207 48.6597 0.269207 48.4645 0.464469C48.2692 0.659731 48.2692 0.976314 48.4645 1.17158L51.2929 4L48.4645 6.82843C48.2692 7.02369 48.2692 7.34027 48.4645 7.53554C48.6597 7.7308 48.9763 7.7308 49.1716 7.53554L52.3536 4.35356ZM-3.11023e-08 4.5L52 4.5L52 3.5L3.11023e-08 3.5L-3.11023e-08 4.5Z" fill="currentColor"/></svg></span></button>',
      appendArrows: e(".testimonial-slide-nav"),
      slidesToShow: 1,
      slidesToScroll: 1,
      responsive: [
        { breakpoint: 1024, settings: { slidesToShow: 1, slidesToScroll: 1, infinite: !0, dots: !1 } },
        { breakpoint: 600, settings: { slidesToShow: 1, slidesToScroll: 1, dots: !1 } },
        { breakpoint: 480, settings: { slidesToShow: 1, slidesToScroll: 1, dots: !1, arrows: !1 } },
      ],
    }),
    e(".brand-active").slick({
      dots: !1,
      arrows: !0,
      infinite: !0,
      autoplay: !0,
      speed: 1e3,
      slidesToShow: 3,
      prevArrow: '<button type="button" class="slick-prev"><i class="fa-regular fa-arrow-left"></i></button>',
      nextArrow: '<button type="button" class="slick-next"><i class="fa-regular fa-arrow-right"></i></button>',
      slidesToScroll: 1,
      responsive: [
        { breakpoint: 1200, settings: { slidesToShow: 3, slidesToScroll: 1 } },
        { breakpoint: 1024, settings: { slidesToShow: 2, slidesToScroll: 1 } },
        { breakpoint: 600, settings: { slidesToShow: 2, slidesToScroll: 1 } },
        { breakpoint: 480, settings: { slidesToShow: 1, slidesToScroll: 1 } },
      ],
    }),
    jQuery(".hero-active").length > 0)
  ) {
    let h = ".hero-active",
      v = new Swiper(h, {
        slidesPerView: 1,
        slidesPerColumn: 1,
        paginationClickable: !0,
        loop: !0,
        autoplay: { delay: 3e3 },
        pagination: { el: ".swiper-pagination", clickable: !0, dots: !0 },
        navigation: { nextEl: ".slider-button-next", prevEl: ".slider-button-prev" },
        a11y: !1,
      }),
      _;
    (g = h),
      (b = v),
      (_ = function t() {
        e(g + " [data-animation]").each(function () {
          let t = e(this).data("animation"),
            o = e(this).data("delay"),
            i = e(this).data("duration");
          e(this)
            .removeClass("anim" + t)
            .addClass(t + " animated")
            .css({ webkitAnimationDelay: o, animationDelay: o, webkitAnimationDuration: i, animationDuration: i })
            .one("webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend", function () {
              e(this).removeClass(t + " animated");
            });
        });
      })(),
      b.on("slideChange", function () {
        e(h + " [data-animation]").removeClass("animated");
      }),
      b.on("slideChange", _);
  }
  if (
    (e(".grid").imagesLoaded(function () {
      var t = e(".grid").isotope({ itemSelector: ".grid-item", percentPosition: !0, masonry: { columnWidth: ".grid-item" } });
      e(".masonary-menu").on("click", "button", function () {
        var o = e(this).attr("data-filter");
        t.isotope({ filter: o });
      }),
        e(".masonary-menu button").on("click", function (t) {
          e(this).siblings(".active").removeClass("active"), e(this).addClass("active"), t.preventDefault();
        });
    }),
    e(".hero-masonry").imagesLoaded(function () {
      e(".hero-masonry").isotope({ itemSelector: ".hero-grid", percentPosition: !0, masonry: { columnWidth: ".hero-grid" } });
    }),
    e(".popup-image").magnificPopup({ type: "image", gallery: { enabled: !0 } }),
    e(".popup-video").magnificPopup({ type: "iframe" }),
    new WOW().init(),
    e(".cart-minus").on("click", function () {
      var t = e(this).parent().find("input"),
        o = parseInt(t.val()) - 1;
      return (o = o < 1 ? 1 : o), t.val(o), t.change(), !1;
    }),
    e(".cart-plus").on("click", function () {
      var t = e(this).parent().find("input");
      return t.val(parseInt(t.val()) + 1), t.change(), !1;
    }),
    e("#showlogin").on("click", function () {
      e("#checkout-login").slideToggle(900);
    }),
    e("#showcoupon").on("click", function () {
      e("#checkout_coupon").slideToggle(900);
    }),
    e("#cbox").on("click", function () {
      e("#cbox_info").slideToggle(900);
    }),
    e("#ship-box").on("click", function () {
      e("#ship-box-info").slideToggle(1e3);
    }),
    new PureCounter(),
    new PureCounter({ filesizing: !0, selector: ".filesizecount", pulse: 2 }),
    e(".scene").length > 0 && e(".scene").parallax({ scalarX: 10, scalarY: 15 }),
    e(".hover__active").on("mouseenter", function () {
      e(this).addClass("active").parent().siblings().find(".hover__active").removeClass("active");
    }),
    e("#nft-slider").length > 0)
  ) {
    var g,
      b,
      m,
      w = document.getElementById("nft-slider"),
      k = [document.getElementById("input-with-keypress-0"), document.getElementById("input-with-keypress-1")];
    noUiSlider.create(w, { start: [0, 4], connect: !0, range: { min: [0], max: 10 } }),
      w.noUiSlider.on("update", function (e, t) {
        k[t].value = e[t];
      });
  }
  if (e("#marker").length > 0) {
    (l = document.querySelector("#marker")),
      (r = document.querySelectorAll(".tp-tab-menu button")),
      document.querySelector(".tp-tab-menu .nav-link.active"),
      localStorage.getItem("tp_dir"),
      r.forEach((e) => {
        e.addEventListener("click", (e) => {
          var t;
          (t = e.target), (l.style.left = t.offsetLeft + "px"), (l.style.width = t.offsetWidth + "px");
        });
      }),
      (d = e(".nav-link.active")),
      (p = e(d).width()),
      (f = parseFloat(e(d).css("padding-left"))),
      ($ = parseFloat(e(d).css("padding-right"))),
      (a = 0),
      e(".tp-tab-menu button").each(function (r, c) {
        var d = e(c).hasClass("active");
        if (((l.style.left = c.offsetLeft + "px"), d)) return !1;
        (o = (t = e(c).find("button")).width()), (a += s = o + (i = parseFloat(t.css("padding-left"))) + (n = parseFloat(t.css("padding-right"))));
      }),
      e(l).css("display", "block"),
      e(l).css("width", p + f + $);
  }
})(jQuery);
